# Copyright 1999-2004 Gentoo Technologies, Inc.
# Distributed under the terms of the GNU General Public License v2
# $Header: /usr/local/portage/app-crypt/blkcrypt/blkcrypt-1.3-r1.ebuild,v 1.1 2004/04/17 02:56:22 root Exp root $

# This is an ebuild script for gentoo. To use it put this file
# into /usr/local/portage/app-crypt/blkcrypt and copy the blkcrypt tar.gz
# package to /usr/portage/distfiles
# After that run
# ebuild /usr/local/portage/app-crypt/blkcrypt/blkcrypt*.ebuild digest
# Now you can use
# emerge app-crypt/blkcrypt 
# to install blkcrypt

IUSE=""

DESCRIPTION="blkcrypt contains 3 block encryption untilities: des, blowfish, idea"
HOMEPAGE="http://main.linuxfocus.org/~guido/"
SRC_URI="http://main.linuxfocus.org/~guido/${P}.tar.gz"

SLOT="0"
LICENSE="GPL-2"
KEYWORDS="x86"

DEPEND="virtual/glibc
	sys-devel/gcc"


src_unpack() {
	unpack ${P}.tar.gz
}

src_compile() {
	emake || die
}

src_install() {
	#make prefix=${D}/usr install || die
	make DESTDIR=${D} install || die
	dodoc README
}
